package test;


import static org.junit.Assert.assertTrue;

import org.junit.Before;
import org.junit.Test;

import src.NonDisponibleException;
import src.Ouvrage;

public class OuvrageTest {

	public Ouvrage o;
	
	@Before
	public void initVals(){
		o = new Ouvrage("test","vinz");
	}
	
	@Test
	public void emprunterValeurEmprunteTest() throws NonDisponibleException{
		assertTrue(o.isEmprunte()==false);
		o.emprunter();
		
		assertTrue(o.isEmprunte()==true);

	}

	@Test
	public void emprunterValeurCompteurTest() throws NonDisponibleException{
		assertTrue(o.getCompteur()==0);
		o.emprunter();
		
		assertTrue(o.getCompteur()==1);

	}
	
	@Test(expected = NonDisponibleException.class)
	public void emprunterExceptionLanceeTest() throws NonDisponibleException{
		o.emprunter();
		o.emprunter();
	}

}
