import java.util.*;

public class Bibliotheque {

//variables d'instances
	protected Map<String,Ouvrage> ouvrages = new TreeMap<String,Ouvrage>();
    static final int date = 20180518;
	
//methodes a programmer	 
	public void add(String code, Ouvrage o){
        ouvrages.put(code,o);
	
	}
    
	
	public int totalEmprunts(){
        int total = 0;
              
        for (Map.Entry<String, Ouvrage> o: ouvrages.entrySet()) {
            Ouvrage ouvrage = o.getValue();
              total += ouvrage.compteur;
        }
       
       return total;
    
    }

	public void listing(){
	  for (Map.Entry<String, Ouvrage> o: ouvrages.entrySet()) {
            Ouvrage ouvrage = o.getValue();
            System.out.println(""+ ouvrage.toString());
        }
	}

	public void emprunter(String code)throws OuvrageInconnuException,NonDisponibleException,NonDispoException{
        try {
        Revue revue = (Revue) ouvrages.get(code);
        if(revue == null){
            throw new OuvrageInconnuException();
        }
        revue.emprunter(date);
        }catch(ClassCastException e){
            //e.printStackTrace();
            Ouvrage ouvrage = ouvrages.get(code);
            if(ouvrage == null){
                throw new OuvrageInconnuException();
            }
            ouvrage.emprunter();
        }
        
        
    }
    
	public void retourner(String code)throws OuvrageInconnuException{
        Ouvrage ouvrage = ouvrages.get(code);
        if(ouvrage == null){
            throw new OuvrageInconnuException();
        }
        ouvrage.retourner();

    }
    
    public TreeMap<String,Ouvrage> getOuvrage(){
        Arrays.sort(ouvrages, new ComparateurOuvrage());
    }
    

}
